Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000114 [cparser] preprocessor minor always 2013-08-04 18:03 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000114: cparser -MM gets confused
Description /usr/src/cparser/build/debug/cparser -m32 -I. -I/usr/src/libav -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -DHAVE_AV_CONFIG_H -MM /usr/src/libav/libavutil/log.c
/usr/src/libav/libavutil/log.c:1:1: warning: type specifier missing; assuming 'int' [-Wimplicit-int]
/usr/src/libav/libavutil/log.c:1:4: error: while parsing function definition
/usr/src/libav/libavutil/log.c:1:4: error: expected '{', got '.'
2 error(s), 1 warning(s)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000166)
Matze (administrator)
2013-08-05 19:18

apparently cparser currently tries to parse the output of -M/-MM instead of just printing it. I guess we need more compilation modes in main.c
(0000167)
Matze (administrator)
2013-08-09 07:55

fixed in cparser rev. 9c4241c8f76cfcef59c45a257cd7d2732801a9dd

- Issue History
Date Modified Username Field Change
2013-08-04 18:03 luzero New Issue
2013-08-05 19:18 Matze Note Added: 0000166
2013-08-05 19:18 Matze Status new => confirmed
2013-08-09 07:55 Matze Note Added: 0000167
2013-08-09 07:55 Matze Assigned To => Matze
2013-08-09 07:55 Matze Status confirmed => resolved
2013-08-09 07:55 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker